TrackerProperty
3
LIBTRACKER-COMMON Library

# TrackerProperty

## Synopsis

    #define             TRACKER_TYPE_PROPERTY_TYPE
    enum                TrackerPropertyType;
    const gchar *       tracker_property_type_to_string     (TrackerPropertyType fieldtype);
                        TrackerProperty;
                        TrackerPropertyClass;
    GType               tracker_property_get_type           (void);
    TrackerProperty *   tracker_property_new                (void);
    gint                tracker_property_get_id             (TrackerProperty *property);
    gboolean            tracker_property_get_is_inverse_functional_property
                                                            (TrackerProperty *property);
    const gchar *       tracker_property_get_uri            (TrackerProperty *property);
    const gchar *       tracker_property_get_name           (TrackerProperty *property);
    TrackerPropertyType  tracker_property_get_data_type     (TrackerProperty *property);
    TrackerClass *      tracker_property_get_domain         (TrackerProperty *property);
    TrackerClass *      tracker_property_get_range          (TrackerProperty *property);
    gint                tracker_property_get_weight         (TrackerProperty *property);
    gboolean            tracker_property_get_indexed        (TrackerProperty *property);
    gboolean            tracker_property_get_fulltext_indexed
                                                            (TrackerProperty *property);
    gboolean            tracker_property_get_embedded       (TrackerProperty *property);
    gboolean            tracker_property_get_multiple_values
                                                            (TrackerProperty *property);
    gboolean            tracker_property_get_filtered       (TrackerProperty *property);
    gboolean            tracker_property_get_transient      (TrackerProperty *property);
    TrackerProperty **  tracker_property_get_super_properties
                                                            (TrackerProperty *property);
    void                tracker_property_set_id             (TrackerProperty *property,
                                                             gint value);
    void                tracker_property_set_is_inverse_functional_property
                                                            (TrackerProperty *property,
                                                             gboolean value);
    void                tracker_property_set_uri            (TrackerProperty *property,
                                                             const gchar *value);
    void                tracker_property_set_data_type      (TrackerProperty *property,
                                                             TrackerPropertyType value);
    void                tracker_property_set_domain         (TrackerProperty *property,
                                                             TrackerClass *value);
    void                tracker_property_set_range          (TrackerProperty *property,
                                                             TrackerClass *range);
    void                tracker_property_set_weight         (TrackerProperty *property,
                                                             gint value);
    void                tracker_property_set_indexed        (TrackerProperty *property,
                                                             gboolean value);
    void                tracker_property_set_fulltext_indexed
                                                            (TrackerProperty *property,
                                                             gboolean value);
    void                tracker_property_set_embedded       (TrackerProperty *property,
                                                             gboolean value);
    void                tracker_property_set_multiple_values
                                                            (TrackerProperty *property,
                                                             gboolean value);
    void                tracker_property_set_filtered       (TrackerProperty *property,
                                                             gboolean value);
    void                tracker_property_set_transient      (TrackerProperty *property,
                                                             gboolean value);
    void                tracker_property_set_super_properties
                                                            (TrackerProperty *property,
                                                             TrackerProperty **super_properties);
    void                tracker_property_add_super_property (TrackerProperty *property,
                                                             TrackerProperty *value);

## Description

## Details

### TRACKER_TYPE_PROPERTY_TYPE

    #define             TRACKER_TYPE_PROPERTY_TYPE

### enum TrackerPropertyType

    typedef enum {
    	TRACKER_PROPERTY_TYPE_UNKNOWN,
    	TRACKER_PROPERTY_TYPE_STRING,
    	TRACKER_PROPERTY_TYPE_BOOLEAN,
    	TRACKER_PROPERTY_TYPE_INTEGER,
    	TRACKER_PROPERTY_TYPE_DOUBLE,
    	TRACKER_PROPERTY_TYPE_DATE,
    	TRACKER_PROPERTY_TYPE_DATETIME,
    	TRACKER_PROPERTY_TYPE_RESOURCE,
    } TrackerPropertyType;

### tracker_property_type_to_string ()

    const gchar *       tracker_property_type_to_string     (TrackerPropertyType fieldtype);

`fieldtype` :

Returns :

### TrackerProperty

    typedef struct {
    	GObject parent;
    } TrackerProperty;

### TrackerPropertyClass

    typedef struct {
    	GObjectClass parent_class;
    } TrackerPropertyClass;

### tracker_property_get_type ()

    GType               tracker_property_get_type           (void);

Returns :

### tracker_property_new ()

    TrackerProperty *   tracker_property_new                (void);

Creates a new TrackerProperty instance.

Returns :

  The newly created TrackerProperty

### tracker_property_get_id ()

    gint                tracker_property_get_id             (TrackerProperty *property);

`property` :

Returns :

### tracker_property_get_is_inverse_functional_property ()

    gboolean            tracker_property_get_is_inverse_functional_property
                                                            (TrackerProperty *property);

`property` :

Returns :

### tracker_property_get_uri ()

    const gchar *       tracker_property_get_uri            (TrackerProperty *property);

`property` :

Returns :

### tracker_property_get_name ()

    const gchar *       tracker_property_get_name           (TrackerProperty *property);

`property` :

Returns :

### tracker_property_get_data_type ()

    TrackerPropertyType  tracker_property_get_data_type     (TrackerProperty *property);

`property` :

Returns :

### tracker_property_get_domain ()

    TrackerClass *      tracker_property_get_domain         (TrackerProperty *property);

`property` :

Returns :

### tracker_property_get_range ()

    TrackerClass *      tracker_property_get_range          (TrackerProperty *property);

`property` :

Returns :

### tracker_property_get_weight ()

    gint                tracker_property_get_weight         (TrackerProperty *property);

`property` :

Returns :

### tracker_property_get_indexed ()

    gboolean            tracker_property_get_indexed        (TrackerProperty *property);

`property` :

Returns :

### tracker_property_get_fulltext_indexed ()

    gboolean            tracker_property_get_fulltext_indexed
                                                            (TrackerProperty *property);

`property` :

Returns :

### tracker_property_get_embedded ()

    gboolean            tracker_property_get_embedded       (TrackerProperty *property);

`property` :

Returns :

### tracker_property_get_multiple_values ()

    gboolean            tracker_property_get_multiple_values
                                                            (TrackerProperty *property);

`property` :

Returns :

### tracker_property_get_filtered ()

    gboolean            tracker_property_get_filtered       (TrackerProperty *property);

`property` :

Returns :

### tracker_property_get_transient ()

    gboolean            tracker_property_get_transient      (TrackerProperty *property);

`property` :

Returns :

### tracker_property_get_super_properties ()

    TrackerProperty **  tracker_property_get_super_properties
                                                            (TrackerProperty *property);

`property` :

Returns :

### tracker_property_set_id ()

    void                tracker_property_set_id             (TrackerProperty *property,
                                                             gint value);

`property` :

`value` :

### tracker_property_set_is_inverse_functional_property ()

    void                tracker_property_set_is_inverse_functional_property
                                                            (TrackerProperty *property,
                                                             gboolean value);

`property` :

`value` :

### tracker_property_set_uri ()

    void                tracker_property_set_uri            (TrackerProperty *property,
                                                             const gchar *value);

`property` :

`value` :

### tracker_property_set_data_type ()

    void                tracker_property_set_data_type      (TrackerProperty *property,
                                                             TrackerPropertyType value);

`property` :

`value` :

### tracker_property_set_domain ()

    void                tracker_property_set_domain         (TrackerProperty *property,
                                                             TrackerClass *value);

`property` :

`value` :

### tracker_property_set_range ()

    void                tracker_property_set_range          (TrackerProperty *property,
                                                             TrackerClass *range);

`property` :

`range` :

### tracker_property_set_weight ()

    void                tracker_property_set_weight         (TrackerProperty *property,
                                                             gint value);

`property` :

`value` :

### tracker_property_set_indexed ()

    void                tracker_property_set_indexed        (TrackerProperty *property,
                                                             gboolean value);

`property` :

`value` :

### tracker_property_set_fulltext_indexed ()

    void                tracker_property_set_fulltext_indexed
                                                            (TrackerProperty *property,
                                                             gboolean value);

`property` :

`value` :

### tracker_property_set_embedded ()

    void                tracker_property_set_embedded       (TrackerProperty *property,
                                                             gboolean value);

`property` :

`value` :

### tracker_property_set_multiple_values ()

    void                tracker_property_set_multiple_values
                                                            (TrackerProperty *property,
                                                             gboolean value);

`property` :

`value` :

### tracker_property_set_filtered ()

    void                tracker_property_set_filtered       (TrackerProperty *property,
                                                             gboolean value);

`property` :

`value` :

### tracker_property_set_transient ()

    void                tracker_property_set_transient      (TrackerProperty *property,
                                                             gboolean value);

`property` :

`value` :

### tracker_property_set_super_properties ()

    void                tracker_property_set_super_properties
                                                            (TrackerProperty *property,
                                                             TrackerProperty **super_properties);

`property` :

`super_properties` :

### tracker_property_add_super_property ()

    void                tracker_property_add_super_property (TrackerProperty *property,
                                                             TrackerProperty *value);

`property` :

`value` :